scenario_example_feedback([
  fmu(a, [port(u1, delayed)], [port(y1,[])]),
  fmu(b, [port(u2, reactive)],
            [port(y2, [u2])])],
  [connect(b,y2,a,u1),connect(a,y1,b,u2)]).

scenario_example_termination([
  fmu(a,
      [],
      [port(y1,[])]),
  fmu(b,
     [port(u2, delayed)],
     [])],
  [connect(a,y1,b,u2)]).

example_scenario_doubleloop([
			 fmu(ctrl,
		              [
		              	port(ref, delayed),
		              	port(xaft, delayed),
		              	port(w, reactive)
		              ],
		              [
		              	port(o,[])
		              ]),
			 fmu(plant,
		              [
		              	port(o, delayed),
		              	port(psu, reactive),
		              	port(x, reactive),
		              	port(v, reactive)
		              ],
		              [
		              	port(w,[v]),
		              	port(f,[x,v])
		              ]),
			 fmu(load,
		              [
		              	port(f, delayed)
		              ],
		              [
		              	port(x,[]),
		              	port(v,[]),
		              	port(xaft,[])
		              ]),
			 fmu(env,
		              [],
		              [
		              	port(psu,[]),
		              	port(ref,[])
		              ])
			],
			[
				connect(env, psu, plant, psu),
				connect(env, ref, ctrl, ref),
				connect(ctrl, o, plant, o),
				connect(plant, w,ctrl, w),
				connect(load, xaft,ctrl, xaft),
				connect(load, v, plant, v),
				connect(load, x, plant, x),
				connect(plant, f, load, f)
   		]
			).

example_scenario_complex(
			[
			 fmu(a,
            [
            	port(u1, delayed),
            	port(u2, delayed),
            	port(u3, reactive),
            	port(u4, reactive)
            ],
            [
            	port(y1,[u1,u3]),
            	port(y2,[])
            ]),
			 fmu(b,
            [
            	port(u1, delayed),
            	port(u2, delayed)
            ],
            [
            	port(y1,[]),
            	port(y2,[u1]),
            	port(y3,[]),
            	port(y4,[])
            ])
			],
			[
				connect(a, y1, b, u1),
   			connect(a, y2, b, u2),
   			connect(b, y1, a, u1),
   			connect(b, y2, a, u2),
   			connect(b, y3, a, u3),
   			connect(b, y4, a, u4)
   		]
			).
